<?php
/*
Plugin Name: Vibe TimeTracker
Plugin URI: https://vibethemes.com/
Description: TimeTracker by VibeThemes
Version: 1.0
Author: Vibethemes
Author URI: https://vibethemes.com/
Text Domain: vibe-timetracker
Domain Path: /languages/
*/
if ( !defined( 'ABSPATH' ) ) exit;
/*  Copyright 2023 VibeThemes  (email: vibethemes@gmail.com) */

if(!defined('VIBEP_TIMETRACKER_VERSION')){
    define('VIBEP_TIMETRACKER_VERSION',rand(0,99999));
}

if( !defined('VIBE_TIMETRACKER_SLUG')){
	define( 'VIBE_TIMETRACKER_SLUG', 'timetracker' ); 
}
if( !defined('VIBE_TIMETRACKER_API_NAMESPACE')){
	define( 'VIBE_TIMETRACKER_API_NAMESPACE', 'vibetimetracker/v1' ); 
}




include_once 'includes/db/db.php';
include_once 'includes/db/timetracker.db.php';
include_once 'includes/class.init.php';
include_once 'includes/class.api.php';
include_once 'includes/widgets/my-timetracked.php';

//Mandatory for VibeBP
register_activation_hook(__FILE__,function(){

	delete_transient('bp_rest_api_nav');

    $tracker = new VIBE_TRACKER_DB;
    
        
    if(!$tracker->table_exists($tracker->table_name)){
        $tracker->create_table();   
        add_action('admin_notices',function(){echo '<div class="message updated"><p>'.__('Vibe Timetracker tables added.','wplms-trackers').'</p></div>';}); 
    }

});
register_deactivation_hook(__FILE__,function(){
	delete_transient('bp_rest_api_nav');
});


add_action('plugins_loaded','vibe_timetracker_plugin_load_translations');
function vibe_timetracker_plugin_load_translations(){
    $locale = apply_filters("plugin_locale", get_locale(), 'vibe-timetracker');
    $lang_dir = dirname( __FILE__ ) . '/languages/';
    $mofile        = sprintf( '%1$s-%2$s.mo', 'vibe-timetracker', $locale );
    $mofile_local  = $lang_dir . $mofile;
    $mofile_global = WP_LANG_DIR . '/plugins/' . $mofile;
    if ( file_exists( $mofile_global ) ) {
       load_textdomain( 'vibe-timetracker', $mofile_global );
       
    } else {
        load_textdomain( 'vibe-timetracker', $mofile_local );
    }  
}